BTConnection Class Reference

Class for creating a connection to another device over Bluetooth for libmeegosyncml. More...

`#include <BTConnection.h>`

Inheritance diagram for BTConnection:

## Signals

void | btConnected (int fd, QString btAddr)

## Public Member Functions

| BTConnection ()
| Constructor.
virtual | ~BTConnection ()
| Destructor.
void | setConnectionInfo (const QString &aBTAddress, const QString &aServiceUUID)
| Sets connection info.
virtual int | connect ()
virtual bool | isConnected () const
virtual void | disconnect ()
virtual int | connect ()
virtual bool | isConnected () const
virtual void | disconnect ()
void | handleSyncFinished (bool isSyncInError)
bool | init ()
| BT initialization method.
void | uninit ()
| BT uninitialization method.

## Protected Slots

void | handleIncomingBTConnection (int fd)
void | handleBTError (int fd)

## Detailed Description

Class for creating a connection to another device over Bluetooth for libmeegosyncml.

## Member Function Documentation

## connect() [1/2]

virtual int BTConnection::connect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::connect()

## connect() [2/2]

virtual int BTConnection::connect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::connect ()

## disconnect() [1/2]

virtual void BTConnection::disconnect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::disconnect()

## disconnect() [2/2]

virtual void BTConnection::disconnect | ( |  | ) |

virtual

See also
  DataSync::OBEXConnection::disconnect ()

## init()

bool BTConnection::init | ( |  | ) |

BT initialization method.

!

## isConnected() [1/2]

virtual bool BTConnection::isConnected | ( |  | ) | const

virtual

See also
  DataSync::OBEXConnection::isConnected()

## isConnected() [2/2]

virtual bool BTConnection::isConnected | ( |  | ) | const

virtual

See also
  DataSync::OBEXConnection::isConnected ()

## setConnectionInfo()

void BTConnection::setConnectionInfo | ( | const QString & | aBTAddress,
|  | const QString & | aServiceUUID )

Sets connection info.

Parameters

  aBTAddress | Bluetooth addess of remote device
  aServiceUUID | Service UUID of remote service

## uninit()

void BTConnection::uninit | ( |  | ) |

BT uninitialization method.

!

The documentation for this class was generated from the following files:

- clientplugins/syncmlclient/BTConnection.h
- serverplugins/syncmlserver/BTConnection.h